#ifndef _PREFS_DIALOG_H_
#define _PREFS_DIALOG_H_

#include <glade/glade.h>

typedef struct _PrefsDialog PrefsDialog;

#include "gnome-presence-applet.h"

struct _PrefsDialog
{
	GladeXML *gui;
	GtkWidget *dialog;
	PresenceApplet *applet;

	GtkWidget *people_treeview;
	GtkWidget *mon_people_treeview;

	GtkListStore *people_store;
	GtkListStore *mon_people_store;

	GtkTreeIter mon_people_drag_iter;

	guint show_idle_id;
	guint dim_idle_id;
};

PrefsDialog *prefs_dialog_new(PresenceApplet *applet);

#endif /* _PREFS_DIALOG_H_ */
